<?php
/**
 * Created by PhpStorm
 * User：林志杰
 * Email：598287049@qq.com
 * Motto：纵有疾风起，人生不言弃！
 * Time：2020/1/11 23:40
 */

declare(strict_types=1);

namespace app\api\validate;

use think\Validate;

class User extends Validate
{
    protected $rule = [
        'username' => 'require',
        'phoneNumber' => 'require',
        'code' => 'require|number|min:4',
        'type' => 'require|in:1,2',
        'sex' => 'require|in:0,1,2'
    ];

    protected $message = [
        'username' => '用户名必须',
        'phoneNumber' => '电话号码必须',
        'code.require' => '短信验证码必须',
        'code.number' => '短信验证码为数字',
        'code.min' => '短信验证码长度不得低于4',
        'type.require' => '类型必须',
        'type.in' => '类型数值错误',
        'sex.require' => '性别必须',
        'sex.in' => '性别数值错误',
    ];

    protected $scene = [
        'send_code' => ['phoneNumber'],
        'login' => ['phoneNumber', 'code', 'type'],
        'update_user' => ['username', 'sex']
    ];
}